import { Injectable } from '@angular/core';
import { MessageService } from './message.service';

@Injectable({
  providedIn: 'root'
})
export class TokenService {

  private token: String;

  constructor(private messageService: MessageService) {
    this.messageService.add("TokenService started, token created")
    this.token = "abc"
  }

  getToken(): String {
    this.messageService.add("Providing token to other service")
    return this.token
  }
}
